<?php
		if($_SERVER['SERVER_NAME'] != "www.quanq.com")
		{
				$head_location = "http://www.quanq.com".$_SERVER['REQUEST_URI'];
				
				echo   "<script>location.href='$head_location'</script>";
				
				exit();
		}
		
		include_once("../inc/commonality.php");
		
		// ---------------
		//  function
		// ---------------
		
		function Execute_Detail()
        {
				global $SITE_URL;
				global $DB;
				global $ip_search_result,$ip_search_show,$user_current_ip;
				global $ip_num,$act;
				
				if(getenv('HTTP_CLIENT_IP')) 
				{
                        $onlineip = getenv('HTTP_CLIENT_IP');
                }
				elseif(getenv('HTTP_X_FORWARDED_FOR')) 
				{
                        list($onlineip) = explode(',', getenv('HTTP_X_FORWARDED_FOR'));
                }
				elseif(getenv('REMOTE_ADDR')) 
				{
                        $onlineip = getenv('REMOTE_ADDR');
                }
				else
				{
                        $onlineip = $_SERVER['REMOTE_ADDR'];
                }
				
				$user_current_ip = "您的IP地址是：[".$onlineip."]，此IP所属地：".GetIpArea($onlineip)."<br />";
				
				if(isset($act)&&!empty($ip_num))
				{
				        $pre_ip =  $ip_num;
						
						$ip_area = GetIpArea($ip_num);
						
						$ip_search_show = "<TR onMouseOver=\"this.style.backgroundColor='#E6F2E7'\" onmouseout=\"this.style.backgroundColor=''\" bgColor=\"#ffffff\">
												 <TD width=\"40%\"><div style=\"text-align:center\">您要查询的IP地址是：</div></TD>
												 <TD><div style=\"text-align:center\">".$pre_ip."</div></TD>
										   </TR>
										   <TR onMouseOver=\"this.style.backgroundColor='#E6F2E7'\" onmouseout=\"this.style.backgroundColor=''\" bgColor=\"#ffffff\">
												 <TD width=\"40%\"><div style=\"text-align:center\">IP所属地：</div></TD>
												 <TD><div style=\"text-align:center\">".$ip_area."</div></TD>
											</TR> ";
						
						$ip_search_result = EvalTemplate("tool/ip_result.html","\$ip_search_show",0);
						
						DisplayTemplate("tool/ip_cha.html","\$SITE_URL,\$ip_search_result,\$user_current_ip",0);
				}
				else   
				{  
				        DisplayTemplate("tool/ip_cha.html","\$SITE_URL,\$user_current_ip",0);  
				}
		}
		
		function GetIpArea($ip_num)
		{
				$ip_num = trim($ip_num);
				
				$ip_num = addslashes($ip_num);
				$ip_detail = explode(".",$ip_num);
				
				if($ip_detail[0] == 58)
				{
						$ip_data = file("../ipdata/58.txt");							
				}
				elseif($ip_detail[0] == 59)
				{
						$ip_data = file("../ipdata/59.txt");		
				}
				elseif($ip_detail[0] == 60)
				{
						$ip_data = file("../ipdata/60.txt");	
				}
				elseif($ip_detail[0] == 61)
				{
						if($ip_detail[1]>=0 && $ip_detail[1]<=170)
						{
								$ip_data = file("../ipdata/61.00.txt");
						}
						else
						{
								$ip_data = file("../ipdata/61.01.txt");
						}						
				}
				elseif($ip_detail[0] == 121)
				{
						$ip_data = file("../ipdata/121.txt");		
				}
				elseif($ip_detail[0] == 122)
				{
						$ip_data = file("../ipdata/122.txt");	
				}
				elseif($ip_detail[0] == 123)
				{
						$ip_data = file("../ipdata/123.txt");
				}
				elseif($ip_detail[0] == 124)
				{
						$ip_data = file("../ipdata/124.txt");
				}
				elseif($ip_detail[0] == 125)
				{
						$ip_data = file("../ipdata/125.txt");
				}
				elseif($ip_detail[0] == 194)
				{
						$ip_data = file("../ipdata/194.txt");
				}
				elseif($ip_detail[0] == 202)
				{
						$ip_data = file("../ipdata/202.txt");		
				}
				elseif($ip_detail[0] == 203)
				{
						$ip_data = file("../ipdata/203.txt");
				}
				elseif($ip_detail[0] == 210)
				{
						$ip_data = file("../ipdata/210.txt");	
				}
				elseif($ip_detail[0] == 211)
				{
						$ip_data = file("../ipdata/211.txt");	
				}
				elseif($ip_detail[0] == 218)
				{
						if($ip_detail[1]>=0 && $ip_detail[1]<=22)
						{
								$ip_data = file("../ipdata/218.00.txt");
						}
						elseif($ip_detail[1]>22 && $ip_detail[1]<=66)
						{
								$ip_data = file("../ipdata/218.01.txt");
						}
						else
						{
								$ip_data = file("../ipdata/218.02.txt");
						}
				}
				elseif($ip_detail[0] == 219)
				{
						$ip_data = file("../ipdata/219.txt");
				}
				elseif($ip_detail[0] == 220)
				{
						$ip_data = file("../ipdata/220.txt");
				}
				elseif($ip_detail[0] == 221)
				{
						$ip_data = file("../ipdata/221.txt");
				}
				elseif($ip_detail[0] == 222)
				{
						$ip_data = file("../ipdata/222.txt");
				}
				else
				{
						$ip_data = file("../ipdata/00.txt");
				}
				
				for($i = 0; $i < 4; $i++)
				{
						$ip_detail[$i] = sprintf("%03d", $ip_detail[$i]);
				}
				
				$ip = join(".",$ip_detail);
				$count = count($ip_data);
				
				for($i=0; $i<$count; $i++)
				{
						$ip_data_detail = explode("	",$ip_data[$i],3);
						
						if ($ip>=$ip_data_detail[0] && $ip<=$ip_data_detail[1])
						{
								$ip_area = $ip_data_detail[2];
								
								return $ip_area;
						}
				}
				
				return "未知地区";
		}
		
		// ---------------
		//  main program
		// ---------------
		
		$web_title = "圈圈网IP地址所属地查询";
		
		$web_nav = "圈圈网IP地址所属地查询";
		
		$Page_obj->Page_Header("ip_chk.js");
		
		eval("global \$ip_search_show ;");
		
		Execute_Detail();
		
		if(strpos($id_search_show,"未知地区"))
		     echo "<br /><br /><br /><br /><br /><br />";
		else
		     echo "<br /><br />";
		
		$Page_obj->Page_Footer();
?>